Bug 200473 - security/py-openssl: Update to 0.15.1
Summary: security/py-openssl: Update to 0.15.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Xin LI
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-05-26 19:48 UTC by sef
Modified: 2015-06-17 00:09 UTC (History)
3 users (show)

See Also:
delphij: maintainer-feedback+


Attachments
The same diffs in the description (840 bytes, text/plain)
2015-05-27 03:27 UTC, sef
koobs: maintainer-approval? (sbz)
Details
Poudriere log (17.29 KB, text/plain)
2015-05-27 04:50 UTC, sef
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description sef 2015-05-26 19:48:38 UTC
As the title says:  0.15.1 is available, and has some extra features.

diffs:

diff --git a/security/py-openssl/Makefile b/security/py-openssl/Makefile
index 17822bb..094503d 100644
--- a/security/py-openssl/Makefile
+++ b/security/py-openssl/Makefile
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=      openssl
-PORTVERSION=   0.14
+PORTVERSION=   0.15.1
 CATEGORIES=    security python
 MASTER_SITES=  CHEESESHOP
 PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}
diff --git a/security/py-openssl/distinfo b/security/py-openssl/distinfo
index 0394add..31c4bc2 100644
--- a/security/py-openssl/distinfo
+++ b/security/py-openssl/distinfo
@@ -1,2 +1,2 @@
-SHA256 (pyOpenSSL-0.14.tar.gz) = a99db8e59c120138ad8a72eecedcc24b4510d2eed3ce48213b7e32f22cc4ee6e
-SIZE (pyOpenSSL-0.14.tar.gz) = 128005
+SHA256 (pyOpenSSL-0.15.1.tar.gz) = f0a26070d6db0881de8bcc7846934b7c3c930d8f9c79d45883ee48984bc0d672
+SIZE (pyOpenSSL-0.15.1.tar.gz) = 149887
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-27 03:24:01 UTC
Thanks sef!

Can you include your diff as an attachment please and include QA results (poudriere, portlint, regression-test) if possible
Comment 2 sef 2015-05-27 03:27:18 UTC
Created attachment 157192 [details]
The same diffs in the description
Comment 3 sef 2015-05-27 03:28:27 UTC
I built a release here, which did involve poudriere, but I have no strong regression tests, since I don't maintain the port.

I painstakingly cut & paste the text from the previous description into a file which I've attached.
Comment 4 sef 2015-05-27 03:28:55 UTC
Add a smiley face there ;).
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-27 03:31:56 UTC
Thank you Sef, you'll note there's a regression-test target in the py-openssl Makefile which will do the correct thing :)

If you could attach the poudriere log you built with that would be great
Comment 6 sef 2015-05-27 04:50:20 UTC
Oooh.  Didn't know about the regression test.

Log file from poudriere being attached.  Pardon typos in this, I drove home with the top down and my fingers are a bit stiff.
Comment 7 sef 2015-05-27 04:50:56 UTC
Created attachment 157194 [details]
Poudriere log
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-27 04:55:01 UTC
Gracias Sef!
Comment 9 Xin LI freebsd_committer 2015-06-17 00:09:41 UTC
Change committed as approved by maintainer timeout, thanks for your submission!
Comment 10 commit-hook freebsd_committer 2015-06-17 00:09:59 UTC
A commit references this bug:

Author: delphij
Date: Wed Jun 17 00:09:40 UTC 2015
New revision: 389892
URL: https://svnweb.freebsd.org/changeset/ports/389892

Log:
  Update to 0.15.1.

  PR:		200473
  Submitted by:	sef
  Approved by:	maintainer timeout

Changes:
  head/security/py-openssl/Makefile
  head/security/py-openssl/distinfo